Skip to content

Get a single action group by ID

Request

Security
bearerAuth
Path
organizationIdstringrequired

Organization ID of the member accessing the resource

Example:my-organization-id
groupIdinteger, ( 0 .. 9007199254740991 ]required
curl -i -X GET \
  'https://docs.api.hook.co/_mock/v1/openapi/organizations/my-organization-id/action-groups/{groupId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Default Response

Bodyapplication/json
idinteger, ( 0 .. 9007199254740991 ]required
customerIdinteger, ( 0 .. 9007199254740991 ]required
namestringrequired
backgroundstringrequired
extendedRationalestring or nullrequired
originany(ActionOrigin)required
agentobject or null(Agent)required

The agent that created the group, such as Radar or Echo.

automationIdinteger or null, ( 0 .. 9007199254740991 ]required

The automation that created the group, as returned by ListAutomations.

createdDatestring, (date-time)required
updatedDatestring, (date-time)required
Response
{ "id": 1, "customerId": 1, "name": "string", "background": "string", "extendedRationale": "string", "origin": { "type": "signal", "id": 1, "signalType": { … } }, "agent": { "id": 12, "name": "Radar", "memberId": 1 }, "automationId": 1, "createdDate": "2019-08-24T14:15:22Z", "updatedDate": "2019-08-24T14:15:22Z" }